<!DOCTYPE html>

<html>

<head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">

        <title>Take Care</title>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
                integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2"
                crossorigin="anonymous">
        <link rel="stylesheet" href="/css/default.css">
        <link rel="manifest" href="/manifest.json">
</head>

<body class="body-default" style="text-align: center; overflow-x: hidden;">
        <nav class="grid">
                <div class="action-title">
                        <h4>Take Care</h4>
                </div>
                <div class="bluetooth">
                        <img src="/img/bluetoothoff.png" style="width: 60%;" id="bluetoothConnect"
                                onclick="connectOrDisconnect()" />
                </div>
        </nav>

        <div class="white-container">
                <div class="grid">
                        <h5 class="select-partition">Select where you want to put your medication</h5>
                </div>
                <div style="margin-top: 50px;">
                        <p id="partition1"
                                style="opacity: 0.2; border-top-left-radius: 70px; border-bottom: 1px solid white; border-right: 1px solid white; margin-left: -4px; background: #4D8FAC;padding: 20px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition2"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background:#5D8CAE;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition3"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background: #19B5FE;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition4"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background: #044F67;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                </div>
                <div style="margin-top: -22px;">
                        <p id="partition5"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background:#1F4788;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition6"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background: #89C4F4;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition7"
                                style="opacity: 0.2;border-bottom: 1px solid white; border-right: 1px solid white; background: #003171;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                        <p id="partition8"
                                style="opacity: 0.2;border-bottom-right-radius: 70px; border-bottom: 1px solid white; border-right: 1px solid white; background: #4B77BE;padding: 20px; margin-left: -4px; width:70px; height:70px; display: inline-block;">
                        </p>
                </div>

                <div class="grid">
                        <img src="/img/LogoTransparent.png" id="logo" class="img-responsive logo-below"
                                style=" grid-column: 3/11; width: 100%;margin-top: 100px;" />
                </div>

                <div class="modal fade" id="addNewMedicineModal" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h6 class="modal-title" id="addNewMedicineModalTitle">Add Medication
                                                </h6>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                </button>
                                        </div>
                                        <div class="modal-body" id="modalBody" style="text-align: left">
                                                <label for="#medicationInput" class="medication-input-label">
                                                        <b>Medication</b>
                                                </label>
                                                <input type="text" id="medicationInput"
                                                        class="form-control medication-input" />
                                                <label for="#medicationType" class="medication-input-label">
                                                        <b>What form is the med?</b>
                                                </label>
                                                <select id="medicationType" class="form-control medication-input">
                                                        <option value="pill">Pill</option>
                                                        <option value="solution">Solution</option>
                                                        <option value="injection">Injection</option>
                                                        <option value="powder">Powder</option>
                                                        <option value="drops">Drops</option>
                                                        <option value="inhaler">Inhaler</option>
                                                        <option value="other">Other</option>
                                                </select>
                                                <label for="#medicationConditionInput" class="medication-input-label">
                                                        <b>What are you taking it for?</b>
                                                </label>
                                                <input type="text" id="medicationConditionInput"
                                                        class="form-control medication-input" />
                                                <label for="#medicationDay" class="medication-input-label">
                                                        <b>What days will you take the med?</b>
                                                </label>
                                                <select id="medicationDay" class="form-control medication-input"
                                                        multiple>
                                                        <option value="monday">Monday</option>
                                                        <option value="tuesday">Tuesday</option>
                                                        <option value="wednesday">Wednesday</option>
                                                        <option value="thursday">Thursday</option>
                                                        <option value="friday">Friday</option>
                                                        <option value="saturday">Saturday</option>
                                                        <option value="sunday">Sunday</option>
                                                </select>
                                                <label for="#medicationCountForDay" class="medication-input-label">
                                                        <b>How many times a day?</b>
                                                </label>
                                                <input type="number" min="1" value="1" id="medicationCountForDay"
                                                        class="form-control medication-input" />
                                                <label for="#medicationTimes" class="medication-input-label">
                                                        <b>Which times and how many doses?</b>
                                                </label>
                                                <div id="medicationCountForDayDiv" class="grid">
                                                        <input type="time" id="medicationCountForDayTime1"
                                                                class="form-control medication-input medicationCountForDayTime" />
                                                        <input type="number" min="1" value="1"
                                                                id="medicationCountForDayNumber2"
                                                                class="form-control medication-input medicationCountForDayNumber" />
                                                </div>
                                        </div>
                                        <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                        data-dismiss="modal">Close</button>
                                                <button type="button" onclick="addNewMedicine()"
                                                        class="btn btn-primary">Add</button>
                                        </div>
                                </div>
                        </div>
                </div>

                <div class="modal fade" id="notifyModal" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h6 class="modal-title" id="notifyModalTitle">Time for medication!
                                                </h6>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                </button>
                                        </div>
                                        <div class="modal-body" style="text-align: left">
                                                <h4>Take your medications from: <span id="partitionsDetails"
                                                                class="text-success"></span></h4>
                                                <h4>Medication: <span id="medicationDetails"
                                                                class="text-success"></span></h4>
                                                <h4>Medication type: <span id="medicationTypeDetails"
                                                                class="text-success"></span></h4>
                                        </div>
                                        <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                        data-dismiss="modal">Close</button>
                                        </div>
                                </div>
                        </div>
                </div>
        </div>
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
                integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
                crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"
                integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx"
                crossorigin="anonymous"></script>
        <script src="/js/bluetooth.js"></script>
        <script src="/app.js"></script>
        <script src="/sw.js"></script>
</body>

</html>